package com.ynet.life.loaf.jdbc;

import com.ynet.life.loaf.TableConfig;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_loaf_jdbc.jar:com/ynet/life/loaf/jdbc/LoafPreparedQuery.class */
public class LoafPreparedQuery {
    private String itsQueryTable;
    private String itsQueryFields;
    private String itsQueryOrder;
    private LoafQueryCondition itsCondition;

    public LoafPreparedQuery(String itsQueryTable, String itsQueryFields, LoafQueryCondition itsCondition, String itsQueryOrder) {
        this.itsQueryTable = itsQueryTable;
        this.itsQueryFields = itsQueryFields;
        this.itsCondition = itsCondition;
        this.itsQueryOrder = itsQueryOrder;
    }

    public LoafPreparedQuery(TableConfig config, LoafQueryCondition itsCondition, String itsQueryOrder) {
        this.itsQueryTable = config.getTableName();
        this.itsQueryFields = config.getFields();
        this.itsCondition = itsCondition;
        this.itsQueryOrder = itsQueryOrder;
    }

    public PreparedStatement getPreparedStatement(Connection connection) throws SQLException {
        PreparedStatement result = connection.prepareStatement(getQuerySQL());
        List input = this.itsCondition.getInputList();
        int inputSize = input.size();
        for (int i = 1; i <= inputSize; i++) {
            ((LoafPreparedData) input.get(i - 1)).fillStatement(result, i);
        }
        return result;
    }

    public String toString() {
        StringBuffer result = new StringBuffer();
        StringTokenizer toke = new StringTokenizer(getQuerySQL(), "?");
        int i = 0;
        while (toke.hasMoreElements()) {
            result.append(toke.nextElement());
            if (i < this.itsCondition.getInputList().size()) {
                int i2 = i;
                i++;
                result.append(this.itsCondition.getInputList().get(i2));
            }
        }
        return result.toString();
    }

    private String getQuerySQL() {
        StringBuffer querySql = new StringBuffer("SELECT ");
        querySql.append(this.itsQueryFields).append(" FROM ").append(this.itsQueryTable);
        querySql.append(" WHERE ").append(this.itsCondition.getCondition());
        if (this.itsQueryOrder != null && this.itsQueryOrder.length() > 0) {
            querySql.append(" ORDER BY ").append(this.itsQueryOrder);
        }
        System.out.println(querySql.toString());
        return querySql.toString();
    }
}
